Page MenuHomePhabricator

decommission astatine
Closed, ResolvedPublicRequest

Description

This task will track the decommission of server <enter FQDN of server here>.

This is an old spare system, so nothing in puppet, just needs disks confirmed wiped and then unracked.

astatine:

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)

[x ] - remove production dns entries

  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update Netbox with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Event Timeline

RobH created this task.Apr 17 2019, 3:26 PM
Restricted Application added a project: Operations. · View Herald TranscriptApr 17 2019, 3:26 PM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Apr 17 2019, 8:36 PM
Cmjohnson reassigned this task from Cmjohnson to Jclark-ctr.Sep 19 2019, 8:57 PM
Cmjohnson added a subscriber: Cmjohnson.

John, please wipe the servers, remove from the rack, update netbox and the tracking sheet. Assign back to me once you finish so I can kill the switch ports.

Papaul updated the task description. (Show Details)Oct 9 2019, 10:05 PM
Papaul added a subscriber: Papaul.
papaul@asw2-d-eqiad# show | compare 
[edit interfaces]
-   ge-3/0/8 {
-       description astatine;
-       enable;
-   }
Dzahn added a subscriber: Dzahn.Oct 11 2019, 2:36 AM

The box for production DNS removed is checked but looking at DNS repo it's still there:

templates/wikimedia.org:astatine 1H IN A 208.80.155.110
templates/155.80.208.in-addr.arpa:110 1H IN PTR astatine.wikimedia.org.

Dzahn updated the task description. (Show Details)Oct 11 2019, 2:37 AM

Change 542613 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for phab1002, astatine and production DNS for astatine

https://gerrit.wikimedia.org/r/542613

Change 542613 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for phab1002, astatine and production DNS for astatine

https://gerrit.wikimedia.org/r/542613

Papaul closed this task as Resolved.Oct 11 2019, 10:40 PM
Papaul updated the task description. (Show Details)

Complete